Bug 47802 - Rename X-Purpose to Purpose
: Rename X-Purpose to Purpose
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Page Loading
: 528+ (Nightly build)
: Other Mac OS X 10.5
: P2 Normal
Assigned To: Adam Barth
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 00:46 PDT by Adam Barth
Modified: 2010-11-07 20:45 PST (History)
4 users (show)

See Also:


Attachments
Patch (4.67 KB, patch)
2010-10-18 00:47 PDT, Adam Barth
eric: review+
abarth: commit‑queue?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2010-10-18 00:46:43 PDT
Rename X-Purpose to Purpose
Comment 1 Adam Barth 2010-10-18 00:47:51 PDT
Created attachment 71008 [details]
Patch
Comment 2 Gavin Peters 2010-10-18 08:48:08 PDT
LGTM (although I'm not a committer).
Comment 3 Alexey Proskuryakov 2010-10-18 11:02:10 PDT
From ChangeLog: "As requested by IETF HTTP WG".
Comment 4 Adam Barth 2010-10-18 11:09:20 PDT
There's been some more traffic on the list.  They'd like to clarify that it's not an official request.  The ADs would like to depreciate using the X- dash prefix, so we should remove it here before we get stuck with it.
Comment 5 Alexey Proskuryakov 2010-10-18 11:11:59 PDT
It'll be awesome to have both "Purpose" and "X-Purpose" in WebKit-based browsers :-(
Comment 6 Adam Barth 2010-10-18 11:13:32 PDT
(In reply to comment #5)
> It'll be awesome to have both "Purpose" and "X-Purpose" in WebKit-based browsers :-(

Can we drop the X- from the Safari feature?
Comment 7 David Levin 2010-10-19 15:59:22 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > It'll be awesome to have both "Purpose" and "X-Purpose" in WebKit-based browsers :-(
> 
> Can we drop the X- from the Safari feature?

(I'm just going through the review queue and trying to clear things out.)

This looks like a simple patch meant to better work with standards, so it seems like an ok candidate to r+.

Alexey, do you object to it?
Comment 8 Alexey Proskuryakov 2010-10-19 16:06:03 PDT
I don't know if we can drop X- in Safari.
Comment 9 Eric Seidel 2010-11-02 02:50:47 PDT
Comment on attachment 71008 [details]
Patch

Seems fine.  You may need to add an #ifdef for Apple if we can't drop X.  I don't sit on the IETF WG, but the interwebs seem to support dropping X-: http://tools.ietf.org/html/draft-saintandre-xdash-considered-harmful-00

You should mention http://tools.ietf.org/html/draft-saintandre-xdash-considered-harmful-00 in your ChangeLog?
Comment 10 Adam Barth 2010-11-07 20:45:09 PST
Committed r71494: <http://trac.webkit.org/changeset/71494>